//---------------------------------------------------
// module  : VOIBFM.h                         
// auteur  : Max Mignotte                            
// date    :                                              
// langage : C++                                      
// labo    :                                  
//---------------------------------------------------

#ifndef VOIBFM_H
#define VOIBFM_H

//------------------------------------------------
// FICHIERS INCLUS -------------------------------
//------------------------------------------------
#include "FunctionVOIBFM.h"
#include "Chrono.h"

//------------------------------------------------
// CLASSE VOIFBM ----------------------------------
//------------------------------------------------
class VOIBFM
{
  //--Donnees--
  //-----------
  public:

  //Matrices Img
  int***    mat_img;
  int***    mat_cnt;
  float**   mat_seg; 

  //ParamIMG
  int width,length;
  float Regularization;

  //Flag
  int  flag_save;
  int  flag_visu;

  //Utile
  char Name_Sauve[NCHAR];
  char Name_Img[NCHAR];
  char Extension[NCHAR];  

  //--Methodes--
  //------------
  public:
  VOIBFM(int***,int,int);
  ~VOIBFM();

  //Fonction
  void MultipleSegmentations(float***,int,int,int);

  //Fusion-Entropique
  void SegmentEntrop();

  //====================================
  
};

#endif 
